> ## Documentation Index
> Fetch the complete documentation index at: https://docs.feedbase.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Changelog

> Create project changelog



## OpenAPI

````yaml post /projects/{projectSlug}/changelogs
openapi: 3.0.0
info:
  title: Feedbase API
  description: Feedbase API Documentation
  version: 1.0.0
servers:
  - url: https://api.feedbase.app/v1
security:
  - bearerAuth: []
paths:
  /projects/{projectSlug}/changelogs:
    post:
      description: Create project changelog
      operationId: createProjectChangelog
      parameters:
        - name: projectSlug
          in: path
          description: Project slug
          required: true
          schema:
            type: string
      requestBody:
        description: Changelog object that needs to be created
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangelogCreate'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Changelog'
        '400':
          description: Invalid project slug supplied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Project not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ChangelogCreate:
      type: object
      required:
        - title
        - summary
        - content
        - published
      properties:
        title:
          type: string
        summary:
          type: string
        content:
          type: string
        image:
          type: string
        publish_date:
          type: string
          format: date-time
        published:
          type: boolean
    Changelog:
      type: object
      properties:
        id:
          type: string
          format: uuid
        project_id:
          type: string
          format: uuid
        author_id:
          type: string
          format: uuid
        title:
          type: string
        slug:
          type: string
        summary:
          type: string
        content:
          type: string
        image:
          type: string
        publish_date:
          type: string
          format: date-time
        published:
          type: boolean
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````